@import url('https://fonts.googleapis.com/css2?family=Literata:wght@200;300;400;600&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root{
    --height-search: 40px;
}

header{
    font-family: 'Literata', serif;
    height: 70px;
    background-color: #131921;
    display: flex;
    align-items: center;
    color: white;
}

header .icon img{
    margin: 0 20px;
    width: 100px;
    cursor: pointer;
}



.deliver-to{
    margin-top: -10px;
    cursor: pointer;
    
}

.deliver-to-p{
    font-size: 12px;
}
.deliver-to-p2{
    font-size: 15px;
    margin-top: -3px;
}
.location-mark{
    color: white;
    margin: 0 3px;
    cursor: pointer;
}
.search-box{
    margin: 0 20px;
    position: relative;
}

.search-box input[type='text']{
    padding: 5px 60px;
    height: var(--height-search);
    font-size: large;
    width: 710px;
}

.search-box input[type='text']:focus{
    border: 2px solid yellow;
    
}



.search-box .box{
    position: absolute;
    top: 0;
    height: var(--height-search);
    width: 50px;
    color: black;
    background-color: #f2e5e4;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    border: 1px solid black;
    
}

.search-box .box p{
    margin-right: 6px;
    font-size: 12px;
}

.search-box .box .all-icon{
    font-size: small;
}

.search-box .search-icon-box{
    position: absolute;
    top: 0;
    right: 0;
    font-size: 22px;
    font-weight: 200;
    height: var(--height-search);
    width: 40px;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background-color: chocolate;
}

header .flag{
    display: flex;
    width: 30px;
    height: 20px;
    cursor: pointer;
}

header .flag img{
    margin-right: 5px;
}



header .flag .flag-angledown{
    font-size: small;
}

header .accounts-and-list{
    margin-left: 40px;
    display: flex;
    justify-content: flex-end;
    cursor: pointer;
}

header .accounts-and-list p{
    font-size: 13px;
}

header .accounts-and-list-p{
    margin-right: 4px;
}

header .accounts-and-list .accounts-and-list-p2{
    margin-top: -3px;
    font-size: 15px;
}

header .accounts-and-list .accounts-and-list-angledown{
    font-size: small;
    display: flex;
    align-items: flex-end;
    margin-bottom: 3px;
}

header .returns-and-orders{
    margin: 0 20px;
    cursor: pointer;
}

header .returns-and-orders-p1{
    font-size: 13px;
}

header .returns-and-orders-p2{
    margin-top: -3px;
    font-size: 15px;
}

header .shopping-cart{
    display: flex;
    cursor: pointer;
}

header .shopping-cart-icons-all{
    display: flex;
    flex-direction: column;
    align-items: center;
}

header .shopping-cart-icon{
    font-size: 25px;
    margin-top: -11px;
}

header .shopping-cart-icon-p1{
    font-size: 17px; 
    margin-top: -8px;
}

header .shopping-cart-text{
    display: flex;
    align-items: center;
    margin-left: 8px;
}

.header-bottom{
    height: 35px;
    width: 100%;
    background-color: #232f3e;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: white;
}

.header-bottom-all-items{
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-bottom-all{
    margin: 0 20px;
    height: 30px;
    width: 40px;
    display: flex;
    align-items: center;
    font-weight: bolder;
    cursor: pointer;
}

.header-bottom-all-icon{
    margin-right: 6px;
    font-size: 19px;
}

.header-bottom-items li{
    display: inline-block;
    margin: 0 13px;
}

.header-bottom-items li a{
    text-decoration: none;
    color: white;
}

.shop-special-day{
    margin-right: 30px;
    cursor: pointer;
}



.slider .slider-items .slider-item img{
    display: block;
    height: 30vw;
    width: 98.93vw;
    margin: auto;
    object-fit: cover;
    object-position: 1% 1%;
    
}

.slider{
    position: absolute;
}

.slider .slider-items .slider-item{
    display: none;
}

.slider .slider-items .slider-item.active{
    display: block;
}

.slider .left-slide, .slider .right-slide{
    position: absolute;
    height: 40px;
    width: 40px;
    background-color: #444444;
    border-radius: 50%;
    color: #ffffff;
    font-size: 30px;
    top: 20%;
    margin-top: -20px;
    text-align: center;
    line-height: 40px;
    transition: all .5s ease;
    cursor:  pointer;
}

.slider  .left-slide:hover, .slider .right-slide:hover{
    background-color: blue;
}



.slider .left-slide{
    left: 30px;
}

.slider .right-slide{
    right: 30px;
}








.all-categories{
    margin: 0 20px;
    display: flex;
}

.categories{
    height: 57vh;
    width: 22vw;
    
    background-color: #e9edf5;
    /* background-color: red; */
    transform: translateY(230px);
    margin-right: 15px;

    position: relative;
}

.categories h2{
    padding: 10px 20px;
    font-size: bold;
}

.category-items{
    display: flex;
    flex-wrap: wrap;
   
}

.category-items .category-item img{
    width: 120px;
    height: 80px;
}

.category-items .category-item p{
    text-align: center;
    margin-bottom: 10px;
}

.categories a{
    text-decoration: none;
    color: aqua;
}

.categories > p{
    margin: 10px 10px;
    position: absolute;
    bottom: 0;
}

.categories > img{
    width: 90%;
    margin: auto;
    margin-left: 15px;
}

.sign-in-and-cont{
    display: flex;
    flex-direction: column;
}

.sign-in{
    width: 26vw;
    height: 23vh;
    
    background-color: #e9edf5;
    /* background-color: red; */
    transform: translateY(230px);
    margin-right: 15px;

    position: relative;
}
.sign-in h2{
    padding: 10px 20px;
}

.sign-in-best-btn{
    padding: 10px 20px;
    font-weight: bolder;
}

.sign-in-securely{
    padding: 10px 20px;
    width: 100%;
    border-radius: 10px;
    background-color: yellow;
    border: none;
}

.sign-in-securely:hover{
    background-color: #b2b81d;
    cursor: pointer;
}

.sign-in-securely:focus{
    background-color: #faff5e;
}

.we-ship-over-million{
    height: 32vh;
    width: 26vw;
    background-color: #e9edf5;
    z-index: 2;
    transform: translateY(230px);
    margin-top: 2vh;
    
}

.we-ship-over-million-img{
    width: 100%;
}

.we-ship-over-million-img img{
    width: 100%;
}

